BackBox migra a Ruby 2.10

BackBox 4.1Lo scorso venerdì abbiamo rilasciato un update importante per BackBox Linux, aggiornamento che va a sostituire l’attuale versione di Ruby 1.9.3 con la versione 2.1! Abbiamo rilasciato la nuova versione di Ruby poichè è terminato il supporto della precedente versione da parte degli sviluppatori lo scorso Febbraio come annunciato sul blog ufficiale.

Buona parte degli strumenti di Penetration Testing sfrutta Ruby, come il famoso Metaploit, quindi vi consigliamo di aggiornare BackBox con il seguente comando:

$ sudo apt-get update && sudo apt-get dist-upgrade

Questo comando aggiornerà direttamente la versione di Ruby alla 2.1, ultimo ma non meno importante vi consiglio di eseguire anche il seguente comando:

$ sudo aptget autoremove

per eliminare vecchi pacchetti e librerie che non sono più usati dal sistema.

Happy Hacking!